Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython3.ReadingBookmark Class Reference
Inheritance diagram for FoxitPDFSDKPython3.ReadingBookmark:

## Public Member Functions
def | ReadingBookmark (other)
| Constructor, with another reading bookmark object. More...
def | GetDateTime (is_creation_date)
| Get date time information. More...
def | GetPageIndex ()
| Get the index of the destination page. More...
def | GetTitle ()
| Get the title. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | SetDateTime (date_time, is_creation_date)
| Set date time information. More...
def | SetPageIndex (index)
| Set the index of the destination page. More...
def | SetTitle (title)
| Set the title. More...

## Detailed Description

Reading bookmark is not a PDF bookmark, in other words, it is not PDF outlines. It is the bookmark in applicable level. It is stored in the metadata (XML format) of catalog. It allows user to add or remove a reading bookmark according to their reading preferences and navigate one PDF page easily by selecting one reading bookmark.
In order to retrieve the reading bookmark, function FoxitPDFSDKPython3.PDFDoc.GetReadingBookmarkCount could be called to count the reading bookmarks, and function FoxitPDFSDKPython3.PDFDoc.GetReadingBookmark could be called to get a reading bookmark by index.
This class offers several functions to get/set properties of reading bookmarks, such as title, destination page index and creation/modified date time.

See also
  PDFDoc

## Constructor & Destructor Documentation

## ◆ ReadingBookmark()

def FoxitPDFSDKPython3.ReadingBookmark.ReadingBookmark | ( |  | other | ) |

Constructor, with another reading bookmark object.

Parameters

  [in] | other | Another reading bookmark object.

## Member Function Documentation

## ◆ GetDateTime()

def FoxitPDFSDKPython3.ReadingBookmark.GetDateTime | ( |  | is_creation_date | ) |

Get date time information.

Parameters

  [in] | is_creation_date | true means to get creation date time information, and false means to get last modified date time information.

Returns
  The specified date and time. If no specified date and time property can be found, this function will return a date and time object with all values 0.

## ◆ GetPageIndex()

def FoxitPDFSDKPython3.ReadingBookmark.GetPageIndex | ( |  | ) |

Get the index of the destination page.

Returns
  The page index, starting from 0. If no page index property can be found, this function will return -1.

## ◆ GetTitle()

def FoxitPDFSDKPython3.ReadingBookmark.GetTitle | ( |  | ) |

Get the title.

Returns
  Title string. If no title property can be found, this function will return an empty string.

## ◆ IsEmpty()

def FoxitPDFSDKPython3.ReadingBookmark.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ SetDateTime()

def FoxitPDFSDKPython3.ReadingBookmark.SetDateTime | ( |  | date_time,
|  |  | is_creation_date
| ) |  |

Set date time information.

Parameters

  [in] | date_time | New date time information. All the values of this date obejct should be valid. Please refer to comment of class FoxitPDFSDKPython3.DateTime for more details.
  [in] | is_creation_date | true means to get creation date time information, and false means to get last modified date time information.

return None.

## ◆ SetPageIndex()

def FoxitPDFSDKPython3.ReadingBookmark.SetPageIndex | ( |  | index | ) |

Set the index of the destination page.

Parameters

  [in] | index | The new destination page index. Valid range: from 0 to (count-1). count is the page count of the PDF document to which current reading bookmark belongs. The page count can be retrieved by function FoxitPDFSDKPython3.PDFDoc.GetPageCount .

Returns
  None.

## ◆ SetTitle()

def FoxitPDFSDKPython3.ReadingBookmark.SetTitle | ( |  | title | ) |

Set the title.

Parameters

  [in] | title | New title string.

Returns
  None.